@ECHO OFF&PUSHD %~DP0 &TITLE 绿化和选项
mode con cols=36 lines=20
color 2F
:Menu
Cls
@ echo.
@ echo.　　　　　 菜 单 选 项
@ echo.
@ echo.     启动QQ管家 → 请输入1
@ echo.
@ echo.     启动QQ管家设置 → 请输入2
@ echo.
@ echo.     显示桌面图标 → 请输入3
@ echo.
@ echo.     删除桌面图标 → 请输入4 
@ echo.
@ echo.     退出绿化 → 请输入5
@ echo.
set /p xj= 输入数字按回车：
if /i "%xj%"=="1" Goto Start
if /i "%xj%"=="2" Goto Startup settings
if /i "%xj%"=="3" Goto Establish
if /i "%xj%"=="4" Goto Delete
if /i "%xj%"=="5" Goto Exit
@ echo.
echo      选择无效，请重新输入
ping -n 2 127.1>nul 
goto menu
:Start
@ echo.
echo 　　　正在启动QQ管家..
ping -n 2 127.1>nul
start QQPCMgr.exe
goto qidong
:Startup settings
@ echo.
echo 　　　正在启动QQ管家设置..
ping -n 2 10>nul
start QQPConfig.exe
goto qidong
:Establish
ping -n 2 10>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\QQ管家加速版.lnk""):b.TargetPath=""%~dp0QQPCMgr.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
goto fanhui
:Delete
ping -n 2 10>nul
del /q "%userprofile%\桌面\QQ管家加速版.lnk" >NUL 2>NUL
del /q "%userprofile%\Desktop\QQ管家加速版.lnk" >NUL 2>NUL
:fanhui
@ ECHO.
ECHO 　　　设置完成..
ping -n 2 10>nul
goto menu
:qidong
@ ECHO.
ECHO 　　　启动成功..
ping -n 2 10>nul
goto menu

